Resolve employee by exactly one identifier
curl --request POST \
--url https://app.easyfreelance.no/api/v1/users/lookup \
--header 'API-key: <api-key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": 2,
"phone": "<string>",
"ssn": "<string>"
}
'import requests
url = "https://app.easyfreelance.no/api/v1/users/lookup"
payload = {
"user_id": 2,
"phone": "<string>",
"ssn": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"API-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'API-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({user_id: 2, phone: '<string>', ssn: '<string>'})
};
fetch('https://app.easyfreelance.no/api/v1/users/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"email": "<string>",
"internal_id": "<string>",
"name": "<string>",
"phone": "<string>",
"address": "<string>",
"postal_code": "<string>",
"city": "<string>",
"nationality": "<string>",
"note": "<string>",
"bank_account_number": "<string>",
"bank_iban_number": "<string>",
"bank_bic_number": "<string>",
"tax_percent": "<string>",
"tax_type": "<string>",
"tax_start": "<string>",
"tax_table": "<string>",
"tax_free_card": "<string>",
"onboarding": "<string>",
"created_at": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>"
}{
"message": "<string>",
"errors": {}
}User
Resolve employee by exactly one identifier
Provide exactly one of user_id, phone, or ssn. Response matches GET /users/{id}.
POST
/
users
/
lookup
Resolve employee by exactly one identifier
Authorizations
Sanctum personal access token (access_tokens / partner API settings).
UUID API key stored for the partner user.
Body
application/json
Response
Available options:
true, false ⌘I